#ifndef QuadVisualizationPLUGINFACTORY_H__
#define QuadVisualizationPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class QuadVisualizationPluginFactory : public QObject, public ritk::ApplicationPluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::ApplicationPluginFactory)

public:
	/// Constructor
	QuadVisualizationPluginFactory();
	/// Destructor
	~QuadVisualizationPluginFactory();

	ritk::ApplicationPlugin* CreateInstance();

	QString GetName();

	QString GetDescription();
};

#endif // QuadVisualizationPLUGINFACTORY_H__
